Create a new destination
curl --request POST \
--url https://api.withampersand.com/v1/projects/{projectIdOrName}/destinations \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data @- <<EOF
{
"name": "leadConvertedWebhook",
"type": "webhook",
"metadata": {
"url": "https://webhooks.mailmonkey.com/salesforce-lead-converted",
"headers": {
"Authorization": "Bearer 1234"
},
"region": "us-east-1",
"streamName": "my-kinesis-stream",
"endpointUrl": "https://kinesis.us-east-1.amazonaws.com",
"partitionKeyTemplate": "data.user_id",
"bucket": "ampersand-integration-bucket",
"keyTemplate": "join('/', [metadata.objectName, metadata.operationId])",
"storageClass": "STANDARD"
},
"secrets": {
"awsKeyId": "AKIAIOSFODNN7EXAMPLE",
"awsSecretKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
"awsSessionToken": "AQoEXAMPLEH4aoAH0gNCAPy..."
}
}
EOFimport requests
url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/destinations"
payload = {
"name": "leadConvertedWebhook",
"type": "webhook",
"metadata": {
"url": "https://webhooks.mailmonkey.com/salesforce-lead-converted",
"headers": { "Authorization": "Bearer 1234" },
"region": "us-east-1",
"streamName": "my-kinesis-stream",
"endpointUrl": "https://kinesis.us-east-1.amazonaws.com",
"partitionKeyTemplate": "data.user_id",
"bucket": "ampersand-integration-bucket",
"keyTemplate": "join('/', [metadata.objectName, metadata.operationId])",
"storageClass": "STANDARD"
},
"secrets": {
"awsKeyId": "AKIAIOSFODNN7EXAMPLE",
"awsSecretKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
"awsSessionToken": "AQoEXAMPLEH4aoAH0gNCAPy..."
}
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'leadConvertedWebhook',
type: 'webhook',
metadata: {
url: 'https://webhooks.mailmonkey.com/salesforce-lead-converted',
headers: {Authorization: 'Bearer 1234'},
region: 'us-east-1',
streamName: 'my-kinesis-stream',
endpointUrl: 'https://kinesis.us-east-1.amazonaws.com',
partitionKeyTemplate: 'data.user_id',
bucket: 'ampersand-integration-bucket',
keyTemplate: 'join(\'/\', [metadata.objectName, metadata.operationId])',
storageClass: 'STANDARD'
},
secrets: {
awsKeyId: 'AKIAIOSFODNN7EXAMPLE',
awsSecretKey: 'wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY',
awsSessionToken: 'AQoEXAMPLEH4aoAH0gNCAPy...'
}
})
};
fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "leadConvertedWebhook",
"type": "webhook",
"metadata": {
"url": "https://webhooks.mailmonkey.com/salesforce-lead-converted",
"headers": {
"Authorization": "Bearer 1234"
},
"streamName": "my-data-stream",
"region": "us-east-1",
"partitionKeyTemplate": "{{.integration_id}}",
"bucket": "ampersand-integration-bucket",
"keyTemplate": "join('/', [metadata.objectName, metadata.operationId])",
"storageClass": "STANDARD"
},
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Destination
Create a new destination
POST
/
projects
/
{projectIdOrName}
/
destinations
Create a new destination
Authorizations
APIKeyHeaderBearer
Path Parameters
The Ampersand project ID or project name.
Body
application/json
Name for the new destination. Must be unique within the project and can only contain letters, numbers and dashes.
Example:
"leadConvertedWebhook"
The type of the destination.
Available options:
webhook, kinesis, s3 Example:
"webhook"
Show child attributes
Show child attributes
Secrets for the destination.
Show child attributes
Show child attributes
Response
Created
The destination ID.
User-defined name for the destination.
Example:
"leadConvertedWebhook"
The type of the destination.
Example:
"webhook"
Show child attributes
Show child attributes
The time the destination was created.
The time the destination was updated.
Was this page helpful?
⌘I

